LibreOffice: XPossibleHyphens Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XPossibleHyphens Interface Referencepublished

Gives information about a word's possible hyphenation points. More...

`import "XPossibleHyphens.idl";`

Inheritance diagram for XPossibleHyphens:

## Public Member Functions
string | getWord ()
com::sun::star::lang::Locale | getLocale ()
string | getPossibleHyphens ()
sequence< short > | getHyphenationPositions ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Gives information about a word's possible hyphenation points.

Example: In German pre-spelling-reform you may have the following: getWord: Dampfschiffahrt getPossibleHyphens: Dampf=schiff=fahrt getOrigHyphensPositions: 4, 9 That is "Dampfschiffahrt" can be hyphenated after the "pf" (4) and between the double "ff" (9). And if you are going to hyphenate it at position 9 you will get an additional "f" before the hyphen character.

See also
  com::sun::star::linguistic2::XHyphenator

## Member Function Documentation

## ◆ getHyphenationPositions()

sequence< short > getHyphenationPositions | ( |  | ) |

Returns
  an ascending sequence of numbers where each number is an offset within the original word which denotes a hyphenation position corresponding to one of the hyphens in the string returned by com::sun::star::linguistic2::XPossibleHyphens::getPossibleHyphens().

## ◆ getLocale()

com::sun::star::lang::Locale getLocale | ( |  | ) |

Returns
  the language of the hyphenated word.

See also
  com::sun::star::lang::Locale

## ◆ getPossibleHyphens()

string getPossibleHyphens | ( |  | ) |

Returns
  a string depicting the word with all hyphen positions which are represented by "=" characters. If there are any alternative spellings, the word will be altered accordingly.

## ◆ getWord()

string getWord | ( |  | ) |

Returns
  the word for which the information of possible hyphenation points was obtained.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XPossibleHyphens.idl